org.apache.lucene.analysis.cn.smart.hhmm

## Class SegToken

- java.lang.Object
- - org.apache.lucene.analysis.cn.smart.hhmm.SegToken

    public class SegToken
    extends Object

SmartChineseAnalyzer internal token

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`char[]` `charArray` Character array containing token text
`int` `endOffset` end offset into original sentence
`int` `index` during segmentation, this is used to store the index of the token in the token list table
`int` `startOffset` start offset into original sentence
`int` `weight` word frequency
`int` `wordType` `WordType` of the text

### Constructor Summary

Constructors
Constructor and Description
`SegToken(char[] idArray, int start, int end, int wordType, int weight)` Create a new SegToken from a character array.

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### charArray

    public char[] charArray

Character array containing token text

#### startOffset

    public int startOffset

start offset into original sentence

#### endOffset

    public int endOffset

end offset into original sentence

#### wordType

    public int wordType

`WordType` of the text

#### weight

    public int weight

word frequency

#### index

    public int index

during segmentation, this is used to store the index of the token in the token list table

### Constructor Detail

#### SegToken

    public SegToken(char[] idArray,
            int start,
            int end,
            int wordType,
            int weight)

Create a new SegToken from a character array.

Parameters:
  `idArray` - character array containing text
  `start` - start offset of SegToken in original sentence
  `end` - end offset of SegToken in original sentence
  `wordType` - `WordType` of the text
  `weight` - word frequency

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`
See Also:
  `Object.hashCode()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
See Also:
  `Object.equals(java.lang.Object)`